Package fr.gouv.vitam.common.model

# Class FacetResult

java.lang.Object
fr.gouv.vitam.common.model.FacetResult

public class FacetResult extends Object
Facet Result

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetResult()`
  Constructor
  `FacetResult(String name, SingleValueFacet singleValueFacet)`
  Constructor
  `FacetResult(String name, List<FacetBucket> buckets)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FacetResult`
  `createBucketFacetResult(String name, List<FacetBucket> buckets)`
  `static FacetResult`
  `createSingleValueFacetResult(String name, SingleValueFacet singleValueFacet)`
  `List<FacetBucket>`
  `getBuckets()`
  `String`
  `getName()`
  `SingleValueFacet`
  `getSingleValueFacet()`
  `void`
  `setBuckets(List<FacetBucket> buckets)`
  `void`
  `setName(String name)`
  `void`
  `setSingleValueFacet(SingleValueFacet singleValueFacet)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetResult

    public FacetResult()
    Constructor

  - ### FacetResult

    public FacetResult(String name, List<FacetBucket> buckets)
    Constructor
    Parameters:
      `name` - name
      `buckets` - list of buckets

  - ### FacetResult

    public FacetResult(String name, SingleValueFacet singleValueFacet)
    Constructor
    Parameters:
      `name` - name
      `singleValueFacet` - singleValueFacet

- ## Method Details

  - ### createBucketFacetResult

    public static FacetResult createBucketFacetResult(String name, List<FacetBucket> buckets)

  - ### createSingleValueFacetResult

    public static FacetResult createSingleValueFacetResult(String name, SingleValueFacet singleValueFacet)

  - ### getName

    public String getName()
    Returns:
      the name

  - ### setName

    public void setName(String name)
    Parameters:
      `name` - the name to set

  - ### getBuckets

    public List<FacetBucket> getBuckets()
    Returns:
      the buckets

  - ### setBuckets

    public void setBuckets(List<FacetBucket> buckets)
    Parameters:
      `buckets` - the buckets to set

  - ### getSingleValueFacet

    public SingleValueFacet getSingleValueFacet()

  - ### setSingleValueFacet

    public void setSingleValueFacet(SingleValueFacet singleValueFacet)